openapi: 3.0.0
info:
  title: AWS Direct Connect API Untag Resource
  description: Removes one or more tags from the specified Direct Connect resource.
  contact: {}
  version: '1.0.0'
servers:
- url: http://{defaultHost}
  variables:
    defaultHost:
      default: www.example.com
paths:
  /:
    get:
      tags:
      - Connections
      summary: allocateConnectionOnInterconnect
      description: Creates a hosted connection on an interconnect.
      operationId: allocateConnectionOnInterconnect
      parameters:
      - name: bandwidth
        in: query
        description: Bandwidth of the connection
        style: form
        explode: true
        schema:
          type: string
      - name: connectionName
        in: query
        description: Name of the provisioned connection
        style: form
        explode: true
        schema:
          type: string
      - name: interconnectId
        in: query
        description: ID of the interconnect on which the connection will be provisioned
        style: form
        explode: true
        schema:
          type: string
      - name: ownerAccount
        in: query
        description: Numeric account Id of the customer for whom the connection will be provisioned
        style: form
        explode: true
        schema:
          type: string
      - name: vlan
        in: query
        description: The dedicated VLAN provisioned to the connection
        style: form
        explode: true
        schema:
          type: string
      - name: Action
        in: query
        schema:
          type: string
          example: AllocateConnectionOnInterconnect
      responses:
        '200':
          description: OK
          headers: {}
          content: {}
      deprecated: false
tags:
- name: Connections
  description: ''
- name: Private Virtual Interfaces
  description: ''
- name: BGP Peer
  description: ''
- name: Interconnects
  description: ''
- name: Virtual Interfaces
  description: ''
- name: Locations
  description: ''
- name: Tags
  description: ''
- name: Virtual Gateways
  description: ''
- name: Resource Tags
  description: ''
